\section{Conclusion and future work}
\label{sec_conclusion}
In this paper, we showed that current Linux mechanisms do not combine memory consolidation and memory performance isolation.
By default, there is no memory performance isolation.
Memory consolidation is only partially effective.
Memory performance isolation can be achieved, at the expense of memory consolidation, using the \texttt{max} and \texttt{soft} limits.

We presented MemOpLight to provide memory consolidation.
An applicative probe gives information about a container's satisfaction to the kernel.
The kernel reacts by reallocating memory in favor of unsatisfied containers, without overly depriving the others.
Evaluation shows that containers are satisfied more often thanks to memory consolidation.

In future work, we will test MemOpLight with a real web server application.
We also plan to modify the probe to compute an average on feedback instead of giving an instant one.
Another perspective is to be able to estimate the WS size of containers by using an applicative probe.
Indeed, it is possible to reclaim memory from a container until it indicates it has ``bad'' performance.
The memory footprint before the transition from ``good'' performance to ``bad'' one equals approximately the WS size.
We also plan to scale other resources (\textit{e.g.} CPU time or disk bandwidth) according to containers needs.